**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/24.3/sandbox-vaults/sandbox-snapshots/create-sandbox-snapshot.md

# Create Sandbox Snapshot



Create a new sandbox snapshot for the indicated sandbox Vault.

<Endpoint path="/api/{version}/objects/sandbox/snapshot" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
| `Content-Type` | `application/x-www-form-urlencoded` |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `source_sandbox` | The name of the sandbox Vault to take a snapshot of. |
| `name` | The name of the new snapshot. |
| `description` | The description of the new snapshot. |
| `include_data` | Set to `true` to include data as part of the snapshot. Set to `false` to include only configuration. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "source_sandbox=Sandbox1" \
-d "name=Snapshot1" \
-d "description=First snapshot of a sandbox." \
-d "include_data=false" \
https://myvault.veevavault.com/api/v22.3/objects/sandbox/snapshot

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "job_id": 165944,
    "url": "/api/v22.3/services/jobs/165944"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the following information:



---

**Previous:** [Sandbox Snapshots](/qualityone/vault-api/api-reference/24.3/sandbox-vaults/sandbox-snapshots)  
**Next:** [Retrieve Sandbox Snapshots](/qualityone/vault-api/api-reference/24.3/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots)